# Created by pyp2rpm-3.3.2
%global pypi_name webassets

Name:           python-%{pypi_name}
Version:        0.12.1
Release:        %mkrel 8
Summary:        Media asset management for Python, with glue code for various web frameworks
Group:          Development/Python
License:        BSD
URL:            https://github.com/miracle2k/webassets/
Source0:        %{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(jinja2)

%description
Merges, minifies and compresses Javascript and CSS files, supporting a variety
of different filters, including YUI, jsmin, jspacker or CSS tidy. Also supports
URL rewriting in CSS files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python2-%{pypi_name} < 0.12.1-3

%description -n python3-%{pypi_name}
Merges, minifies and compresses Javascript and CSS files, supporting a variety
of different filters, including YUI, jsmin, jspacker or CSS tidy. Also supports
URL rewriting in CSS files.

%package -n python-%{pypi_name}-doc
Summary:        webassets documentation

%description -n python-%{pypi_name}-doc
Documentation for webassets

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc examples/no-python/README.rst
%{_bindir}/webassets
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc docs


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.12.1-8.mga9
+ Revision: 1832708
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 0.12.1-7.mga9
+ Revision: 1780137
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.12.1-6.mga9
+ Revision: 1732661
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.12.1-5.mga8
+ Revision: 1532720
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.12.1-4.mga8
+ Revision: 1442904
- rebuild for python-3.8

* Sat Aug 31 2019 wally <wally> 0.12.1-3.mga8
+ Revision: 1435921
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.12.1-2.mga7
+ Revision: 1351270
- Rebuild for Python 3.7

* Fri Nov 02 2018 kekepower <kekepower> 0.12.1-1.mga7
+ Revision: 1327590
- BR python-nose
- imported package python-webassets

